<?php

function hasEmeraldSubscription($subscriptionIds) {
	if (file_exists(JPATH_SITE . '/components/com_emerald/api.php')) {
		require_once JPATH_SITE . '/components/com_emerald/api.php';
	} else {
		return true;
	}
	
    $user           = JFactory::getUser();
    
    if (!$user->id) {
            return false;
    }
    
    return EmeraldApi::hasSubscription((array)$subscriptionIds, null, 0, false, false);
}

function hasBoughtHikashopProducts($productIds) {
    $db             = JFactory::getDbo();
    $query          = $db->getQuery(true);
    $user           = JFactory::getUser();
    
    if (!$user->id) {
            return false;
    }
    
    $query->select('count(op.order_product_id)')
            ->from('#__hikashop_user AS u')
            ->leftJoin('#__hikashop_order AS o ON u.user_id = o.order_user_id')
            ->leftJoin('#__hikashop_order_product AS op ON op.order_id = o.order_id')
            ->where('u.user_cms_id = ' . (int)$user->id)
            ->where('op.product_id IN (' . implode(',', array_map('intval', (array)$productIds)) . ')')
            ->where("o.order_status = 'confirmed'");
    
    return (bool)$db->setQuery($query)->loadResult();
}